Package org.eclipse.swt.graphics

# Class GlyphMetrics

java.lang.Object
org.eclipse.swt.graphics.GlyphMetrics

public final class GlyphMetrics extends Object
Instances of this class represent glyph metrics.

The hashCode() method in this class uses the values of the public fields to compute the hash value. When storing instances of the class in hashed collections, do not modify these fields after the object has been inserted.

Application code does not need to explicitly release the resources managed by each instance when those instances are no longer required, and thus no `dispose()` method is provided.

Since:
  3.2
See Also:
  - `TextStyle`
  - `TextLayout`
  - Sample code and further information

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`ascent`
the ascent of the GlyphMetrics
`int`
`descent`
the descent of the GlyphMetrics
`int`
`width`
the width of the GlyphMetrics

## Constructor Summary

Constructors
Constructor
Description
`GlyphMetrics(int ascent, int descent, int width)`
Constructs an instance of this class with the given ascent, descent and width values.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
Compares the argument to the receiver, and returns true if they represent the same object using a class specific comparison.
`int`
`hashCode()`
Returns an integer hash code for the receiver.
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### ascent

public int ascent
the ascent of the GlyphMetrics

### descent

public int descent
the descent of the GlyphMetrics

### width

public int width
the width of the GlyphMetrics

## Constructor Details

### GlyphMetrics

public GlyphMetrics(int ascent, int descent, int width)
Constructs an instance of this class with the given ascent, descent and width values.

Parameters:
  `ascent` - the GlyphMetrics ascent
  `descent` - the GlyphMetrics descent
  `width` - the GlyphMetrics width
Throws:
  `IllegalArgumentException` -
  - ERROR_INVALID_ARGUMENT - if the ascent, descent or width argument is negative

## Method Details

### equals

public boolean equals(Object object)
Compares the argument to the receiver, and returns true if they represent the same object using a class specific comparison.

Overrides:
  `equals` in class `Object`
Parameters:
  `object` - the object to compare with this object
Returns:
  `true` if the object is the same as this object and `false` otherwise
See Also:
  - `hashCode()`

### hashCode

public int hashCode()
Returns an integer hash code for the receiver. Any two objects that return `true` when passed to `equals` must return the same value for this method.

Overrides:
  `hashCode` in class `Object`
Returns:
  the receiver's hash
See Also:
  - `equals(Object)`

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the `GlyphMetrics`